Difference between revisions of "Arch Add/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
m (→‎Script: <syntaxhighlight>)
(Updating to match new version of source page)
Line 1: Line 1:
=Arch_Add/fr=
+
{{GuiCommand|Name=Arch Add|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Add|SeeAlso=[[Arch Remove]]}}
{{GuiCommand/fr|Name=Arch Add|Name/fr=Arch Addition|Workbenches=[[Arch Module/fr|Arch]]|MenuLocation=Arch -> Add|SeeAlso=[[Arch Remove/fr|Arch Remove]]}}
 
 
==Description==
 
==Description==
  
L'outil '''Ajouter''' [[Image:Arch Add.png|16px]] vous permet de faire 2 types d'opérations :
+
The Add tool allows you to do 4 kinds of operations:
 
+
* Add [[Part Module|shape]]-based objects to an Arch component, such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]. These objects make then part of the Arch component, and allow you to modify its shape but keeping its base properties such as width and height
* Ajouter un [[Part Module/fr|objet]] de base à un compososant '''Arch'''itecture, par exemple un [[Arch Wall/fr|mur]] [[File:Arch_Wall.png|16px]] ou une [[Arch Structure/fr|structure]] [[File:Arch_Structure.png|16px]].<br>Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, mais en gardant ses propriétés de base telles que la largeur et la hauteur.
+
* Add Arch components, such as a [[Arch Wall|walls]] or [[Arch Structure|structures]], to a group-based arch object such as [[Arch Floor|floors]].
* Ajouter des composants '''Arch''', comme des [[Arch Wall/fr|murs]] [[File:Arch_Wall.png|16px]] ou des [[Arch Structure/fr|structures]] [[File:Arch_Structure.png|16px]], dans une [[Arch Cell/fr|cellule]] [[File:Arch_Cell.png|16px]] ou d'autres objets à base de cellules tels que les [[Arch Floor/fr|planchers]] [[File:Arch_Floor.png|16px]].
+
* Add [[Arch Axis|axis systems]] to [[Arch Structure|structural objects]]
 +
* Add objects to [[Arch SectionPlane|section planes]]
  
 
[[Image:Arch Add example.jpg]]
 
[[Image:Arch Add example.jpg]]
  
Dans l'image ci-dessus, une boîte est ajoutée à une paroi.
+
In the above image, a box is being added to a wall.
 
 
==Utilisation==
 
  
* Sélectionnez l'objet ou les objets que vous devez ajouter (ici la boîte), puis sélectionnez l'objet '''hôte''' (mur) ''' (l'objet hôte (mur), doit toujours être le dernier objet sélectionné)'''.
+
==How to use==
* Appuyez sur le bouton {{KEY|[[Image:Arch_Add.png|16px|Ajouter|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}}.
 
* Ajouter un {{KEY|[[Image:Arch_Axis.png|16px|Ajouter un système d'Axes dans le document|link=Arch_Axis/fr|Axes system]] [[Arch_Axis/fr|Système d'axes]]}} dans {{KEY|[[Image:Arch_Structure.png|16px|Élément structurel|link=Arch_Structure/fr]] [[Arch_Structure/fr|un objet structurel]]}}.
 
* Ajouter un objet dans un {{KEY|[[Image:Arch_SectionPlane.png|16px|Ajoute un plan de coupe au documen|link=Arch_SectionPlane/fr|plan de coupe]] [[Arch_SectionPlane/fr|plan de coupe]]}}.
 
  
==Utilisation==
+
# Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
 +
# Press the {{KEY|[[Image:Arch Add.png|16px]] '''Add'''}} button
  
# Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
+
==Scripting==
# Puis cliquez sur le bouton {{KEY|[[Image:Arch_Add.png|16px|Ajouter|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}}
 
  
==Script==
+
The Add tool can by used in [[macros]] and from the python console by using the following function:
 +
'''addComponents (objectsList,hostObject)''':
 +
* Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
 +
* Returns nothing.
  
L'outil {{KEY|[[Image:Arch_Add.png|16px|Ajouter|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}} peut être utilisé dans une [[macros/fr|macro]], ou dans la console '''Python''' en utilisant la fonction :
+
Example:
<syntaxhighlight>
 
addComponents (objectsList,hostObject)
 
</syntaxhighlight>
 
Exemple:
 
<syntaxhighlight>
 
 
  import FreeCAD, Arch, Draft, Part
 
  import FreeCAD, Arch, Draft, Part
 
  line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
 
  line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
Line 37: Line 30:
 
  box = Part.makeBox(1,1,1)
 
  box = Part.makeBox(1,1,1)
 
  Arch.addComponents(box,wall)
 
  Arch.addComponents(box,wall)
</syntaxhighlight>
 
 
==Les outils de transformation Architecturaux==
 
 
[[Image:Arch_Add.png|32px|Ajouter|link=Arch_Add/fr]]&nbsp;&nbsp;&nbsp;
 
[[Image:Arch_Remove.png|32px|Supprimer|link=Arch_Remove/fr]]&nbsp;&nbsp;&nbsp;
 
  
{{languages/fr | {{en|Arch_Add}} {{de|Arch_Add/de}} {{es|Arch_Add/es}} {{it|Arch_Add/it}} {{jp|Arch_Add/jp}} {{se|Arch_Add/se}} }}
+
<languages/>

Revision as of 00:07, 29 November 2013

Arch Add.svg Arch Add

Menu location
Arch -> Add
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Remove

Description

The Add tool allows you to do 4 kinds of operations:

Arch Add example.jpg

In the above image, a box is being added to a wall.

How to use

  1. Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
  2. Press the Arch Add.png Add button

Scripting

The Add tool can by used in macros and from the python console by using the following function:

addComponents (objectsList,hostObject): 
  • Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
  • Returns nothing.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎日本語